<?php
# +------------------------------------------------------------------+
# |             ____ _               _        __  __ _  __           |
# |            / ___| |__   ___  ___| | __   |  \/  | |/ /           |
# |           | |   | '_ \ / _ \/ __| |/ /   | |\/| | ' /            |
# |           | |___| | | |  __/ (__|   <    | |  | | . \            |
# |            \____|_| |_|\___|\___|_|\_\___|_|  |_|_|\_\           |
# |                                                                  |
# | Copyright Mathias Kettner 2010             mk@mathias-kettner.de |
# +------------------------------------------------------------------+
#
# This file is part of Check_MK.
# The official homepage is at http://mathias-kettner.de/check_mk.
#
# check_mk is free software;  you can redistribute it and/or modify it
# under the  terms of the  GNU General Public License  as published by
# the Free Software Foundation in version 2.  check_mk is  distributed
# in the hope that it will be useful, but WITHOUT ANY WARRANTY;  with-
# out even the implied warranty of  MERCHANTABILITY  or  FITNESS FOR A
# PARTICULAR PURPOSE. See the  GNU General Public License for more de-
# ails.  You should have  received  a copy of the  GNU  General Public
# License along with GNU Make; see the file  COPYING.  If  not,  write
# to the Free Software Foundation, Inc., 51 Franklin St,  Fifth Floor,
# Boston, MA 02110-1301 USA.

setlocale(LC_ALL, "POSIX");

$range = $CRIT[1];

$servicename = preg_replace("/_/", " ", $servicedesc, 1);
$service = preg_split("/ /", $servicename);
$tunable = $service[1];

$opt[1] = "--vertical-label '$tunable' -l 0  --title '$hostname / $servicename ' ";

$def[1] = "DEF:value=$RRDFILE[1]:$DS[1]:MAX ";
$def[1] .= "DEF:setting=$RRDFILE[1]:$DS[2]:MAX ";
#$def[1] .= "AREA:value#008b8b:\"$tunable \" "; 
$def[1] .= "CDEF:shading2=value,0.98,* ";
$def[1] .= "AREA:shading2#00F900:\"$tunable \" ";
$def[1] .= "CDEF:shading10=value,0.90,* ";
$def[1] .= "AREA:shading10#00E100 ";
$def[1] .= "CDEF:shading15=value,0.85,* ";
$def[1] .= "AREA:shading15#00D200 ";
$def[1] .= "CDEF:shading20=value,0.80,* ";
$def[1] .= "AREA:shading20#00C300 ";
$def[1] .= "CDEF:shading25=value,0.75,* ";
$def[1] .= "AREA:shading25#00B400 ";
$def[1] .= "CDEF:shading30=value,0.70,* ";
$def[1] .= "AREA:shading30#00A500 ";
$def[1] .= "CDEF:shading35=value,0.65,* ";
$def[1] .= "AREA:shading35#009600 ";
$def[1] .= "CDEF:shading40=value,0.60,* ";
$def[1] .= "AREA:shading40#008700 ";
$def[1] .= "CDEF:shading45=value,0.55,* ";
$def[1] .= "AREA:shading45#007800 ";
$def[1] .= "CDEF:shading50=value,0.50,* ";
$def[1] .= "AREA:shading50#006900 ";
$def[1] .= "CDEF:shading55=value,0.45,* ";
$def[1] .= "AREA:shading55#005A00 ";
$def[1] .= "CDEF:shading60=value,0.40,* ";
$def[1] .= "AREA:shading60#004B00 ";
$def[1] .= "CDEF:shading65=value,0.35,* ";
$def[1] .= "AREA:shading65#003C00 ";
$def[1] .= "CDEF:shading70=value,0.30,* ";
$def[1] .= "AREA:shading70#002D00 ";
$def[1] .= "CDEF:shading75=value,0.25,* ";
$def[1] .= "AREA:shading75#001800 ";
$def[1] .= "CDEF:shading80=value,0.20,* ";
$def[1] .= "AREA:shading80#000F00 ";
$def[1] .= "CDEF:shading85=value,0.15,* ";
$def[1] .= "AREA:shading85#000000 ";
$def[1] .= "LINE2:setting#cd0000:\"Maximum \" ";
$def[1] .= "LINE2:value#d020a0: "; 
$def[1] .= "GPRINT:value:LAST:\"current\: %.0lf\" ";
$def[1] .= "GPRINT:value:MAX:\"max\: %.0lf\" ";
?>
